Subject: Re: bug#23851: Emacs 24.5 fails to build in Debian S/390x QEMU/Chroot

From: Glenn Morris <[email-masked]>
Date: Mon, 27 Jun 2016 15:46:13 -0400

Please configure with CFLAGS='-O0 -g3', then make.
When it fails:
cd src
gdb ./temacs
run --batch --load loadup bootstrap
bt full

See etc/DEBUG for more information.

Using the latest pretest for the next release is better than using Emacs 24.5:

http://alpha.gnu.org/gnu/emacs/pretest/emacs-25.0.95.tar.xz

Jeffrey Walton wrote:

> At this point, I have tried to build Emacs without Lisp since I don't
> use it. I'm told its not possible. Confer,
> http://lists.gnu.org/archive/html/help-gnu-emacs/2016-06/msg00412.html.
>
> I think its best to turn this issue over to the Emacs folks.

If Emacs fails to build, that is a bug.
Reporting bugs to the help list is seldom efficient, as is clearly
illustrated in this case.